
var locale = "GMXX0172"; // Enter your zipcode/location code here.

var tempUnit = "c"; // f to display fahrenheit, c to display celcius.

var updateInterval = 15; // Update interval time in minute.

var postal;


// ******** LANGUAGE SELECTION: For English, set both German and French to false. ***********


var langGerman = true; // German language (true or false)

var langFrench = false; // French language (true or false)

var langDutch = false; // Dutch language (true or false)


// Do not touch the code below this line unless you know what you are doing.
//==========================================================================

function onLoad(){
	fetchWeatherData(dealWithWeather,postal);

	setInterval(fetchWeatherData, 60*1000*updateInterval);
	}

function dealWithWeather(obj){
	if (obj.error == false){
	document.getElementById("city").innerText=obj.city;
	document.getElementById("desc").innerText=obj.description;
	document.getElementById("hi").innerHTML=""+obj.TodayHi+ "&deg;";
	document.getElementById("lo").innerHTML=""+obj.TodayLo+ "&deg;/";
	document.getElementById("humidity").innerHTML=obj.humidity+"% Humidity";
	document.getElementById("temp").innerHTML=obj.temp+"&deg;";
	var Conditions = 
				[
				"thunderstorm",
				"thunderstorm",
				"thunderstorm",
				"thunderstorm",
				"thunderstorm",
				"sleet",
				"sleet",
				"sleet",
				"sleet",
				"showers_cloud",
				"sleet",
				"showers_cloud",
				"rain",
				"snow",
				"snow",
				"snow",
				"snow",
				"hail",
				"sleet",
				"Haze",
				"Haze",
				"Haze",
				"fog",
				"wind",
				"wind",
				"frost",
				"cloud",
				"partlymoon",
				"partlysunny",
				"partlymoon",
				"partlysunny",
				"moon",
				"sun",
				"partlymoon",
				"partlysunny",
				"sleet",
				"sun",
				"thunderstorm",
				"thunderstorm",
				"thunderstorm",
				"showers_cloud",
				"snow",
				"snow",
				"snow",
				"partlysunny",
				"thunderstorm",
				"snow",
				"thunderstorm",
				"blank"];
	document.getElementById("animationFrame").src="Animations/"+Conditions[obj.icon]+".html";
	}
	else
	{
	document.getElementById("animationFrame").src="Animations/blank.html";
	}
			// *******	START GERMAN TRANSLATE DESCRIPTION	***************

	if (langGerman == true){	
	
	translatedesc=obj.description.toLowerCase();

	if (translatedesc=='description') { document.getElementById("desc").innerHTML='Your Description';	}
	if (translatedesc=='sunny') { document.getElementById("desc").innerHTML='sonnig'; }
	if (translatedesc=='light drizzle') { document.getElementById("desc").innerHTML='nieselregen'; }
	if (translatedesc=='unknown precipitation') { document.getElementById("desc").innerHTML='unbek. niederschlag'; }
	if (translatedesc=='drifting snow') { document.getElementById("desc").innerHTML='schneetreiben'; }
	if (translatedesc=='snow grains') { document.getElementById("desc").innerHTML='griesel'; }
	if (translatedesc=='rain/windy') { document.getElementById("desc").innerHTML='regen/windig'; }
	if (translatedesc=='heavy snow') { document.getElementById("desc").innerHTML='starker schneefall'; }
	if (translatedesc=='wintry mix') { document.getElementById("desc").innerHTML='winterwetter'; }
	if (translatedesc=='heavy rain') { document.getElementById("desc").innerHTML='starker regen'; }
	if (translatedesc=='rain and snow') { document.getElementById("desc").innerHTML='schneeregen'; }
	if (translatedesc=='light rain/windy') { document.getElementById("desc").innerHTML='regnerisch/windig'; }
	if (translatedesc=='fair') { document.getElementById("desc").innerHTML='heiter';    }
	if (translatedesc=='ice crystals') { document.getElementById("desc").innerHTML='frost';    }
	if (translatedesc=='mostly sunny') { document.getElementById("desc").innerHTML='meist sonnig';	  }
	if (translatedesc=='partly sunny') { document.getElementById("desc").innerHTML='teils sonnig';	  }
	if (translatedesc=='intermittent clouds') { document.getElementById("desc").innerHTML='teils wolkig';	 }
	if (translatedesc=='hazy sunshine') { document.getElementById("desc").innerHTML='diesig und sonnig';	}
	if (translatedesc=='haze') { document.getElementById("desc").innerHTML='diesig';	}
	if (translatedesc=='mostly cloudy') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt';	 }
	if (translatedesc=='cloudy') { document.getElementById("desc").innerHTML='bew&ouml;lkt';    }
	if (translatedesc=='overcast') { document.getElementById("desc").innerHTML='bew&ouml;lkt';    }
	if (translatedesc=='dreary') { document.getElementById("desc").innerHTML='tr&uuml;b';	 }
	if (translatedesc=='retired') { document.getElementById("desc").innerHTML='keine daten verf&uuml;gbar';    }
	if (translatedesc=='fog') { document.getElementById("desc").innerHTML='Nebel';	  }
	if (translatedesc=='showers') { document.getElementById("desc").innerHTML='Schauer';	}
	if (translatedesc=='partly sunny with showers') { document.getElementById("desc").innerHTML='teils sonnig mit Schauern';    }
	if (translatedesc=='thunderstorm') { document.getElementById("desc").innerHTML='Gewitter';    }
	if (translatedesc=='mostly cloudy with thunder showers') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt mit Gewitterschauer';	  }
	if (translatedesc=='partly sunny with thunder showers') { document.getElementById("desc").innerHTML='teils sonnig mit Gewitterschauer';    }
	if (translatedesc=='light rain') { document.getElementById("desc").innerHTML='leichter Regen';	  }
	if (translatedesc=='rain') { document.getElementById("desc").innerHTML='Regen';    }
	if (translatedesc=='flurries') { document.getElementById("desc").innerHTML='windig';	}
	if (translatedesc=='mostly cloudy with flurries') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt und windig';	  }
	if (translatedesc=='partly sunny with flurries') { document.getElementById("desc").innerHTML='teils sonnig und windig';    }
	if (translatedesc=='snow') { document.getElementById("desc").innerHTML='Schnee';    }
	if (translatedesc=='mostly cloudy with snow') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt und Schnee';    }
	if (translatedesc=='ice') { document.getElementById("desc").innerHTML='Eis';	}
	if (translatedesc=='sleet') { document.getElementById("desc").innerHTML='Graupelschauer';    }
	if (translatedesc=='freezing rain') { document.getElementById("desc").innerHTML='gefrierender Regen';	 }
	if (translatedesc=='rain and snow mixed') { document.getElementById("desc").innerHTML='Schneeregen';	}
	if (translatedesc=='hot') { document.getElementById("desc").innerHTML='heiss';	  }
	if (translatedesc=='cold') { document.getElementById("desc").innerHTML='kalt';	  }
	if (translatedesc=='windy') { document.getElementById("desc").innerHTML='windig';    }
	if (translatedesc=='clear') { document.getElementById("desc").innerHTML='klar';    }
	if (translatedesc=='mostly clear') { document.getElementById("desc").innerHTML='meist klar';	}
	if (translatedesc=='partly cloudy') { document.getElementById("desc").innerHTML='teils bew&ouml;lkt';	 }
	if (translatedesc=='hazy') { document.getElementById("desc").innerHTML='diesig';    }
	if (translatedesc=='partly cloudy with showers') { document.getElementById("desc").innerHTML='teils bew&ouml;lkt mit Regen';	}
	if (translatedesc=='party cloudy with showers') { document.getElementById("desc").innerHTML='teils bew&ouml;lkt mit Schauer';	 }
	if (translatedesc=='mostly cloudy with showers') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt mit Schauer';	  }
	if (translatedesc=='party cloudy with thunder showers') { document.getElementById("desc").innerHTML='teils bew&ouml;lkt mit Gewitterschauer';	 }
	if (translatedesc=='mostly cloudy with showers') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt mit Gewitterschauer';	  }
	if (translatedesc=='foggy') { document.getElementById("desc").innerHTML='neblig';    }
	if (translatedesc=='light snow') { document.getElementById("desc").innerHTML='leichter Schneefall'; }		
	if (translatedesc=='rain/drizzle') { document.getElementById("desc").innerHTML='Nieselregen'; }
	if (translatedesc=='mist') { document.getElementById("desc").innerHTML='diesig'; }
	if (translatedesc=='ground fog') { document.getElementById("desc").innerHTML='Bodennebel'; }
	if (translatedesc=='rain shower') { document.getElementById("desc").innerHTML='Schauer';    }
	if (translatedesc=='drizzle') { document.getElementById("desc").innerHTML='Regen';    }
	if (translatedesc=='patches of fog') { document.getElementById("desc").innerHTML='Nebelfelder';    }
	}
// *******   END  GERMAN TRANSLATE DESCRIPTION	 ***************************


// *******	START FRENCH TRANSLATE DESCRIPTION	****************************

	if (langFrench == true){

	translatedesc=obj.description.toLowerCase();

		if (translatedesc=='description') { document.getElementById("desc").innerHTML='Your Description';	}
		if (translatedesc=='sunny') { document.getElementById("desc").innerHTML='Ensoleill&eacute;'; }
		if (translatedesc=='drizzle') { document.getElementById("desc").innerHTML='Bruine'; }
		if (translatedesc=='heavy snow') { document.getElementById("desc").innerHTML='Fortes chutes de neige'; }
		if (translatedesc=='heavy rain') { document.getElementById("desc").innerHTML='Fortes averses'; }
		if (translatedesc=='rain and snow') { document.getElementById("desc").innerHTML='Pluie et neige'; }
		if (translatedesc=='mixed rain and snow') { document.getElementById("desc").innerHTML='Pluie et neige m&eacute;l&eacute;es'; }
		if (translatedesc=='fair') { document.getElementById("desc").innerHTML='Ciel d&eacute;gag&eacute;';    }
		if (translatedesc=='mostly sunny') { document.getElementById("desc").innerHTML='Quelques nuages';	  }
		if (translatedesc=='partly sunny') { document.getElementById("desc").innerHTML='Partiellement nuageux';   }
		if (translatedesc=='intermittent clouds') { document.getElementById("desc").innerHTML='Nuages &eacute;parses';	 }
		if (translatedesc=='hazy sunshine') { document.getElementById("desc").innerHTML='L&eacute;g&egrave;rement voil&eacute;';	}
		if (translatedesc=='haze') { document.getElementById("desc").innerHTML='Brume'; }
		if (translatedesc=='mostly cloudy') { document.getElementById("desc").innerHTML='Tr&egrave;s nuageux';	 }
		if (translatedesc=='cloudy') { document.getElementById("desc").innerHTML='Nuageux';    }
		if (translatedesc=='fog') { document.getElementById("desc").innerHTML='Brouillard';	  }
		if (translatedesc=='showers') { document.getElementById("desc").innerHTML='Averses';	}
		if (translatedesc=='partly sunny with showers') { document.getElementById("desc").innerHTML='Soleil et averses';    }
		if (translatedesc=='thunderstorms') { document.getElementById("desc").innerHTML='Orages';    }
		if (translatedesc=='thunderstorm') { document.getElementById("desc").innerHTML='Orage';    }
		if (translatedesc=='mostly cloudy with thunder showers') { document.getElementById("desc").innerHTML='Tr&egrave;s nuageux et fortes averses';	  }
		if (translatedesc=='partly sunny with thunder showers') { document.getElementById("desc").innerHTML='Soleil et fortes averses';    }
		if (translatedesc=='light rain') { document.getElementById("desc").innerHTML='L&eacute;g&egrave;re pluie';	  }
		if (translatedesc=='rain') { document.getElementById("desc").innerHTML='Pluie';    }
		if (translatedesc=='flurries') { document.getElementById("desc").innerHTML='Averses de neige';	}
		if (translatedesc=='mostly cloudy with flurries') { document.getElementById("desc").innerHTML='Tr&egrave;s nuageux avec neige';   }
		if (translatedesc=='partly sunny with flurries') { document.getElementById("desc").innerHTML='Soleil et averses de neige';    }
		if (translatedesc=='snow flurries') { document.getElementById("desc").innerHTML='Averses de neige';    }
		if (translatedesc=='snow showers') { document.getElementById("desc").innerHTML='Averses de neige';    }
		if (translatedesc=='snow') { document.getElementById("desc").innerHTML='Neige';    }
		if (translatedesc=='mostly cloudy with snow') { document.getElementById("desc").innerHTML='Tr&egrave;s nuageux et neige';    }
		if (translatedesc=='ice') { document.getElementById("desc").innerHTML='Glace';	}
		if (translatedesc=='sleet') { document.getElementById("desc").innerHTML='Verglas';    }
		if (translatedesc=='freezing rain') { document.getElementById("desc").innerHTML='Pluie vergla&ccedil;ante';	 }
		if (translatedesc=='rain and snow mixed') { document.getElementById("desc").innerHTML='Pluie et neige m&eacute;l&eacute;es';	}
		if (translatedesc=='hot') { document.getElementById("desc").innerHTML='Chaud';	  }
		if (translatedesc=='cold') { document.getElementById("desc").innerHTML='Froid';   }
		if (translatedesc=='windy') { document.getElementById("desc").innerHTML='Vent';    }
		if (translatedesc=='clear') { document.getElementById("desc").innerHTML='Clair';    }
		if (translatedesc=='mostly clear') { document.getElementById("desc").innerHTML='Tr&egrave;s clair';	}
		if (translatedesc=='partly cloudy') { document.getElementById("desc").innerHTML='Partiellement nuageux';	 }
		if (translatedesc=='hazy') { document.getElementById("desc").innerHTML='Brume';    }
		if (translatedesc=='partly cloudy with showers') { document.getElementById("desc").innerHTML='Partiellement nuageux et averses';	}
		if (translatedesc=='mostly cloudy with showers') { document.getElementById("desc").innerHTML='Tr&egrave;s nuageux et averses';	  }
		if (translatedesc=='party cloudy with thunder showers') { document.getElementById("desc").innerHTML='Partiellement nuageux et fortes averses';	 }
		if (translatedesc=='foggy') { document.getElementById("desc").innerHTML='Brouillard';	 }
		if (translatedesc=='light snow') { document.getElementById("desc").innerHTML='Flocons de neige'; }
		if (translatedesc=='light snow showers') { document.getElementById("desc").innerHTML='L&eacute;g&egrave;res chutes de neige'; }       
		if (translatedesc=='rain shower') { document.getElementById("desc").innerHTML='Averses';    }
		if (translatedesc=='drizzle') { document.getElementById("desc").innerHTML='Bruine';    }
		if (translatedesc=='mixed rain and sleet') { document.getElementById("desc").innerHTML='Pluie et verglas';    }
		if (translatedesc=='mixed snow and sleet') { document.getElementById("desc").innerHTML='Neige et verglas';    }
		if (translatedesc=='severe thunderstorms') { document.getElementById("desc").innerHTML='Gros orages';	 }
		if (translatedesc=='hurricane') { document.getElementById("desc").innerHTML='Ouragan';	  }
		if (translatedesc=='tropical storm') { document.getElementById("desc").innerHTML='Orage tropical';    }
		if (translatedesc=='tornado') { document.getElementById("desc").innerHTML='Tornade';	}
		if (translatedesc=='freezing drizzle') { document.getElementById("desc").innerHTML='Buine vergla&ccedil;ante';	  }
		if (translatedesc=='blowing snow') { document.getElementById("desc").innerHTML='Rafales de neige'; }
		if (translatedesc=='hail') { document.getElementById("desc").innerHTML='Gr&ecirc;le'; }
		if (translatedesc=='dust') { document.getElementById("desc").innerHTML='Poussi&eacute;reux';	}
		if (translatedesc=='somky') { document.getElementById("desc").innerHTML='Brumeux';    }
		if (translatedesc=='blustery') { document.getElementById("desc").innerHTML='Temp&ecirc;te';    }
		if (translatedesc=='mixed rain and hail') { document.getElementById("desc").innerHTML='Pluie et Gr&ecirc;le m&eacute;l&eacute;es';    }
		if (translatedesc=='isolated thunderstorms') { document.getElementById("desc").innerHTML='Orages isol&eacute;s';    }
		if (translatedesc=='isolated thundershowers') { document.getElementById("desc").innerHTML='Averses isol&eacute;s';    }
		if (translatedesc=='scattered thunderstorms') { document.getElementById("desc").innerHTML='Orages &eacute;parses';    }
		if (translatedesc=='scattered showers') { document.getElementById("desc").innerHTML='Averses &eacute;parses';	 }
		if (translatedesc=='scattered snow showers') { document.getElementById("desc").innerHTML='Chutes de neige &eacute;parses';    }
		if (translatedesc=='light rain with thunder') { document.getElementById("desc").innerHTML='Pluie l&eacute;g&egrave;re et &eacute;clairs';    }
		if (translatedesc=='not available') { document.getElementById("desc").innerHTML='Non disponible';    }
		if (translatedesc=='drifting snow/windy') { document.getElementById("desc").innerHTML='Neige poudreuse et vent';    }
		if (translatedesc=='light rain shower') { document.getElementById("desc").innerHTML='L&eacute;g&egrave;re averse';	  }	 
		if (translatedesc=='mist') { document.getElementById("desc").innerHTML='brouillard'; }   
		}
	// *******	END FRENCH TRANSLATE DESCRIPTION	****************************
	
	// *******	START DUTCH TRANSLATE DESCRIPTION	****************************

	if (langDutch == true){

	translatedesc=obj.description.toLowerCase();
	
	if (translatedesc=='description') { document.getElementById("desc").innerHTML='Your Description';	}
	if (translatedesc=='sunny') { document.getElementById("desc").innerHTML='zonnig'; }
 	if (translatedesc=='light drizzle') { document.getElementById("desc").innerHTML='miezer regen'; }
	if (translatedesc=='unknown precipitation') { document.getElementById("desc").innerHTML='onbek. neerslag'; }
	if (translatedesc=='drifting snow') { document.getElementById("desc").innerHTML='stuif sneeuw'; }
	if (translatedesc=='snow grains') { document.getElementById("desc").innerHTML='sneeuw korrels'; }
 	if (translatedesc=='rain/windy') { document.getElementById("desc").innerHTML='regen/winderig'; }
 	if (translatedesc=='heavy snow') { document.getElementById("desc").innerHTML='zware sneeuwval'; }
	if (translatedesc=='wintry mix') { document.getElementById("desc").innerHTML='winter weer'; }
 	if (translatedesc=='heavy rain') { document.getElementById("desc").innerHTML='zware regen'; }
	if (translatedesc=='rain and snow') { document.getElementById("desc").innerHTML='sneeuw/regen'; }
	if (translatedesc=='light rain/windy') { document.getElementById("desc").innerHTML='lichte regen/winderig'; }
	if (translatedesc=='fair') { document.getElementById("desc").innerHTML='helder';    }
	if (translatedesc=='ice crystals') { document.getElementById("desc").innerHTML='vorst';    }
	if (translatedesc=='mostly sunny') { document.getElementById("desc").innerHTML='vooral zonnig';	  }
	if (translatedesc=='partly sunny') { document.getElementById("desc").innerHTML='deels zonnig';	  }
	if (translatedesc=='intermittent clouds') { document.getElementById("desc").innerHTML='deels bewolkt';	 }
	if (translatedesc=='hazy sunshine') { document.getElementById("desc").innerHTML='nevel met zon';	}
	if (translatedesc=='haze') { document.getElementById("desc").innerHTML='nevel';	}
	if (translatedesc=='mostly cloudy') { document.getElementById("desc").innerHTML='vooral bewolkt';	 }
	if (translatedesc=='cloudy') { document.getElementById("desc").innerHTML='bewolkt';    }
	if (translatedesc=='overcast') { document.getElementById("desc").innerHTML='bewolkt';    }
	if (translatedesc=='dreary') { document.getElementById("desc").innerHTML='druilerig';	 }
	if (translatedesc=='retired') { document.getElementById("desc").innerHTML='geen recente info';    }
	if (translatedesc=='fog') { document.getElementById("desc").innerHTML='mist';	  }
	if (translatedesc=='shower') { document.getElementById("desc").innerHTML='regenval';	}
	if (translatedesc=='partly sunny with showers') { document.getElementById("desc").innerHTML='deels zonnig met regenval';    }
	if (translatedesc=='thunderstorm') { document.getElementById("desc").innerHTML='onweer';    }
	if (translatedesc=='mostly cloudy with thunder showers') { document.getElementById("desc").innerHTML='bewolkt met onweer en regen';	  }
	if (translatedesc=='partly sunny with thunder showers') { document.getElementById("desc").innerHTML='deels zonnig met onweer en regen';    }
	if (translatedesc=='light rain') { document.getElementById("desc").innerHTML='lichte Regen';	  }
	if (translatedesc=='rain') { document.getElementById("desc").innerHTML='Regen';    }
	if (translatedesc=='flurries') { document.getElementById("desc").innerHTML='windstoten';	}
	if (translatedesc=='mostly cloudy with flurries') { document.getElementById("desc").innerHTML='bewolkt met windstoten';	  }
	if (translatedesc=='partly sunny with flurries') { document.getElementById("desc").innerHTML='zonnig met windstoten';    }
	if (translatedesc=='snow') { document.getElementById("desc").innerHTML='Sneuuw';    }
	if (translatedesc=='mostly cloudy with snow') { document.getElementById("desc").innerHTML='bewolkt met sneeuw';    }
	if (translatedesc=='ice') { document.getElementById("desc").innerHTML='ijs';	}
	if (translatedesc=='sleet') { document.getElementById("desc").innerHTML='ijzel';    }
	if (translatedesc=='freezing rain') { document.getElementById("desc").innerHTML='vorst regen';	 }
	if (translatedesc=='rain and snow mixed') { document.getElementById("desc").innerHTML='natte sneeuw';	}
	if (translatedesc=='hot') { document.getElementById("desc").innerHTML='warm';	  }
	if (translatedesc=='cold') { document.getElementById("desc").innerHTML='koel';	  }
	if (translatedesc=='windy') { document.getElementById("desc").innerHTML='winderig';    }
	if (translatedesc=='clear') { document.getElementById("desc").innerHTML='helder';    }
	if (translatedesc=='mostly clear') { document.getElementById("desc").innerHTML='vooral helder';	}
	if (translatedesc=='partly cloudy') { document.getElementById("desc").innerHTML='deels bewolkt';	 }
	if (translatedesc=='hazy') { document.getElementById("desc").innerHTML='beneveld';    }
	if (translatedesc=='partly cloudy with showers') { document.getElementById("desc").innerHTML='deels bewolkt met regen';	}
	if (translatedesc=='party cloudy with showers') { document.getElementById("desc").innerHTML='deels bewolkt met regenval';	 }
	if (translatedesc=='mostly cloudy with showers') { document.getElementById("desc").innerHTML='veel bewolking met regenval';	  }
	if (translatedesc=='party cloudy with thunder showers') { document.getElementById("desc").innerHTML='deels bewolkt met oneweer en regen';	 }
	if (translatedesc=='mostly cloudy with showers') { document.getElementById("desc").innerHTML='veel bewolking met regenval';	  }
	if (translatedesc=='foggy') { document.getElementById("desc").innerHTML='mistig';    }
	if (translatedesc=='light snow') { document.getElementById("desc").innerHTML='lichte sneeuwval'; }		
	if (translatedesc=='rain/drizzle') { document.getElementById("desc").innerHTML='motregen'; }
	if (translatedesc=='mist') { document.getElementById("desc").innerHTML='mist'; }
	if (translatedesc=='ground fog') { document.getElementById("desc").innerHTML='laaghangende mist'; }
	if (translatedesc=='rain shower') { document.getElementById("desc").innerHTML='plaatselijke regenval';    }
	if (translatedesc=='drizzle') { document.getElementById("desc").innerHTML='motregen';    }
	if (translatedesc=='patches of fog') { document.getElementById("desc").innerHTML='mist velden';    }
	if (translatedesc=='mist') { document.getElementById("desc").innerHTML='mist'; }
	}
	}
	// *******	END DUTCH TRANSLATE DESCRIPTION	****************************